Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005538TestLinkAssign Test Case Executionpublic2013-02-26 00:032013-05-26 18:50
ReporterAdilson1 
Assigned Tofman 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.6 (2013 Q1 - bug fixing) 
Summary0005538: Keyword "And/Or" options are not filtering tree/test suite contents correctly when multiple keywords are selected.
DescriptionWhen assigning test cases to users, the keyword filter has a list of keywords and two options "Or" and "And". Both of these keyword options are not filtering correctly.

There are two scenarios here. Each scenario has its own capture image named appropriately:

SCENARIO 1: Using two keywords with the "Or" option.
==========
When using the "Or" option and user selects two keywords from the list, the test case tree on the left pane under the filter options shows the correct test cases. The bug for this scenario is when the user selects a particular test suite from the tree menu to assign the test cases the right pane shows "No Test Case available".
 

SCENARIO 2: Using two keywords with the "And" option.
==========
When using the "And" option and user selects two keywords from the list, there are three problems:

a.) The test case tree on the left pane under the filter options doesn't show the correct list of test cases, it shows all test cases with either one keyword or the other as well as test cases with both keywords.

b.) If user clicks on a test suite and none of the test cases under it contains both keywords, then these test cases will show up on the right pane for assignment even though they don't match filter for both keywords to be present

c.) If user clicks on a test suite with at least one test case under that contains both keywords, then the right-pane displays an information message of "No Test Case available".
Steps To ReproduceScenario 1:
==========

In the test case assignment window,
1.) Select filter with two keywords and select the "Or" option
2.) Hit the "Apply" button.
3.) Select a test suite from the resulting tree that contains a few matching test cases matching the selected filter. The right-pane should show the "No Test Case available" message.


Scenario 2a) and 2b):
====================
In the test case assignment window,
1.) Create a test suite with a few test cases which are configured with one keyword or the other (not both).
2.) Select the same two keywords from step 1 above from the keyword list and use the "And" option.
3.) Hit the "Apply" button.
4.) The resulting tree shows the test suite with test cases having only one of the two configured words.
5.) Click on test suite and right pane shows the test case list with the test cases with only one of the keywords.


Scenario 2c):
============
1.) Select one of the test cases in the test suite created above and configure it with the second keyword.
2.) Use the same exact filter from scenario 2a) & 2b) above.
3.) The same list from the scenario above should appear in the tree.
4.) Select test suite, the right-pane should show the "No Test Case available" message.
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserChrome
PHP Version5
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon testlink-bug-scenario1.png [^] (192,221 bytes) 2013-02-26 00:03


png file icon testlink-bug-scenario2.png [^] (322,268 bytes) 2013-02-26 00:04

- Relationships

-  Notes
(0018368)
Adilson1 (reporter)
2013-02-26 00:17
edited on: 2013-02-26 00:18

BTW, I downloaded and installed the latestTestLink 1.9.6 (Prague Bugfix 6) patches today Feb 25, 2013 using wget http://gitorious.org/testlink-ga/testlink-code/archive-tarball/testlink_1_9. [^]

This is what I used to re-create the scenarios in my bug report.

(0018372)
fman (administrator)
2013-02-26 19:11
edited on: 2013-02-26 21:16

http://gitorious.org/testlink-ga/testlink-code/commit/fb45c0814d3963691787879b8febfcabf562e677 [^]

please test and provide feedback

(0018373)
Adilson1 (reporter)
2013-02-26 23:43

I tested your code fix and it addresses both scenarios discussed in this bug report.

Thanks so much for your effort.

     -Adilson
(0018379)
fman (administrator)
2013-02-27 08:58

Great

- Issue History
Date Modified Username Field Change
2013-02-26 00:03 Adilson1 New Issue
2013-02-26 00:03 Adilson1 File Added: testlink-bug-scenario1.png
2013-02-26 00:04 Adilson1 File Added: testlink-bug-scenario2.png
2013-02-26 00:17 Adilson1 Note Added: 0018368
2013-02-26 00:18 Adilson1 Note Edited: 0018368 View Revisions
2013-02-26 19:11 fman Note Added: 0018372
2013-02-26 19:47 fman Assigned To => fman
2013-02-26 19:47 fman Status new => assigned
2013-02-26 21:16 fman Note Edited: 0018372 View Revisions
2013-02-26 21:17 fman Status assigned => feedback
2013-02-26 21:17 fman Tag Attached: TO BE FIXED on 2.0
2013-02-26 23:43 Adilson1 Note Added: 0018373
2013-02-26 23:43 Adilson1 Status feedback => assigned
2013-02-27 08:58 fman Note Added: 0018379
2013-02-27 08:59 fman Status assigned => resolved
2013-02-27 08:59 fman Fixed in Version => 1.9.6 (2013 Q1 - bug fixing)
2013-02-27 08:59 fman Resolution open => fixed
2013-05-26 18:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker